Bug 1570582 - Build is failed due to access rpc->refcount in wrong way in quota.c
Summary: Build is failed due to access rpc->refcount in wrong way in quota.c
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota
Version: rhgs-3.4
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
: RHGS 3.4.0
Assignee: Mohit Agrawal
QA Contact: Rajesh Madaka
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-23 09:38 UTC by Mohit Agrawal
Modified: 2018-09-04 06:48 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.12.2-9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:47:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:48:40 UTC

Description Mohit Agrawal 2018-04-23 09:38:49 UTC
Description of problem:
In upstream patch(https://review.gluster.org/#/c/19734/) to access 
rpc->refcount call GF_ATOMIC_GET macros but in downstream refcount is declared
as an integer in rpc_clnt, not gf_atomic_t so the downstream build is failed after merged 
the same patch from the commit https://code.engineering.redhat.com/gerrit/#/c/136229/

Version-Release number of selected component (if applicable):


How reproducible:
Compiled downstream build on centos

Steps to Reproduce:
1.
2.
3.

Actual results:
build is failed

Expected results:
The build should not fail.

Additional info:

Comment 9 Rajesh Madaka 2018-05-21 10:33:41 UTC
Based on comment 6 moving this bug to verified state

Comment 11 errata-xmlrpc 2018-09-04 06:47:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.